# std::pmr::synchronized_pool_resource::do_is_equal

From cppreference.com
< cpp‎ | memory‎ | synchronized pool resource

virtual bool do_is_equal(const std::pmr::memory_resource& other) const noexcept; |  | (since C++17)

Compare `*this` with `other` for identity - memory allocated using a `synchronized_pool_resource` can only be deallocated using that same resource.

### Return value

this == &other

### Defect report

The following behavior-changing defect reports were applied retroactively to previously published C++ standards.

DR | Applied to | Behavior as published | Correct behavior
--- | --- | --- | ---
LWG 3000 | C++17 | unnecessary `dynamic_cast` was performed | removed

### See also

do_is_equal [virtual] | compare for equality with another `memory_resource` (virtual private member function of `std::pmr::memory_resource`)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/memory/synchronized_pool_resource/do_is_equal&oldid=105342"